=== debian/changelog ===
libnetconf2 (3.5.5-5) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:11:31 +0100

libnetconf2 (3.5.5-4) sid; urgency=medium

  * Updating libyang depends.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Feb 2025 21:53:59 +0100

libnetconf2 (3.5.5-3) sid; urgency=medium

  * Disabling dh_auto_install when building arch-independ only (Closes:
    #1098378).

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Feb 2025 06:45:12 +0100

libnetconf2 (3.5.5-2) sid; urgency=medium

  * Uploading without changes to unstable.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Feb 2025 14:44:38 +0100

libnetconf2 (3.5.5-1) experimental; urgency=medium

  * Merging upstream version 3.5.5 (Closes: #1098233).
  * Removing unused gbp.conf.
  * Wrap and sorting debian files.
  * Switching to debhelper compat 13.
  * Marking build-depends for libnetconf2-doc as nodoc.
  * Adding libcmocka-dev for tests in build-depends.
  * Adding libcurl4-openssl-dev to build-depends for new upstream version.
  * Updating libyang build-depends for new upstream.
  * Using pkgconf instead of pkg-config.
  * Adding rules requires root field.
  * Updating to standards version 4.7.0.
  * Adding vcs fields.
  * Updating upstream urls in copyright.
  * Updating watch file.
  * Trimming rules.
  * Trimming debhelper install files.
  * Also installing newly added yang files.
  * Updating package descriptions.
  * Updating packaging for soname bump from 2 to 4.
  * Removing generated documentation after dh_clean to fix FTBFS twice-in-
    a-row (Closes: #1046481).

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Feb 2025 05:58:42 +0100

libnetconf2 (2.0.24-4) sid; urgency=medium

  * Adopting package from Ondřej with thanks for his past work.

 -- Daniel Baumann <daniel@debian.org>  Tue, 18 Feb 2025 11:19:51 +0100

libnetconf2 (2.0.24-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062481

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:21:24 +0000
