=== debian/control ===
Source: libnetconf2
Section: libs
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen <!nodoc>,
 graphviz <!nodoc>,
 libcmocka-dev <!nocheck>,
 libcurl4-openssl-dev,
 libssh-dev,
 libssl-dev,
 libyang-dev (>= 3.7.8),
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/CESNET/libnetconf2
Vcs-Browser: https://forgejo.debian.net/frr/libnetconf2
Vcs-Git: https://forgejo.debian.net/frr/libnetconf2

Package: libnetconf2-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: library for IETF NETCONF protocol (documentation)
 NETCONF library in C intended for building NETCONF clients and servers. NETCONF
 is the NETwork CONFiguration protocol introduced by IETF.
 .
 This package contains the documentation.

Package: libnetconf2-4
Section: libs
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for IETF NETCONF protocol
 NETCONF library in C intended for building NETCONF clients and servers. NETCONF
 is the NETwork CONFiguration protocol introduced by IETF.
 .
 libnetconf2 is a NETCONF library in C handling NETCONF authentication and all
 NETCONF RPC communication both server and client-side. Note that NETCONF
 datastore implementation is not a part of this library. The library supports
 both NETCONF 1.0 (RFC 4741) as well as NETCONF 1.1 (RFC 6241). The main
 features include:
 .
  * NETCONF over SSH (RFC 4742, RFC 6242), using libssh.
  * NETCONF over TLS (RFC 7589), using OpenSSL.
  * DNSSEC SSH Key Fingerprints (RFC 4255)
  * NETCONF over pre-established transport sessions (using this mechanism the
    communication can be tunneled through sshd(8), for instance).
  * NETCONF Call Home (RFC 8071).
  * NETCONF Event Notifications (RFC 5277),
 .
 This package contains the shared library.

Package: libnetconf2-dev
Section: libdevel
Architecture: any
Depends:
 libnetconf2-4 (= ${binary:Version}),
 libyang-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for IETF NETCONF protocol (development)
 NETCONF library in C intended for building NETCONF clients and servers. NETCONF
 is the NETwork CONFiguration protocol introduced by IETF.
 .
 This package contains the development files.
