=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libnetconf2-$1\.tar\.gz/" \
https://github.com/CESNET/libnetconf2/tags .*/v?(\d\S+)\.tar\.gz
