## libnetconf2 3.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -57,22 +57,22 @@
 # minor version changes with added functionality (new tool, functionality of the tool or library, ...) and
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
 set(LIBNETCONF2_MAJOR_VERSION 3)
-set(LIBNETCONF2_MINOR_VERSION 5)
-set(LIBNETCONF2_MICRO_VERSION 5)
+set(LIBNETCONF2_MINOR_VERSION 7)
+set(LIBNETCONF2_MICRO_VERSION 1)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
 # Major version is changed with every backward non-compatible API/ABI change in the library, minor version changes
 # with backward compatible change and micro version is connected with any internal change of the library.
 set(LIBNETCONF2_MAJOR_SOVERSION 4)
-set(LIBNETCONF2_MINOR_SOVERSION 4)
-set(LIBNETCONF2_MICRO_SOVERSION 5)
+set(LIBNETCONF2_MINOR_SOVERSION 6)
+set(LIBNETCONF2_MICRO_SOVERSION 1)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})
 
 # Version of libyang library that this project depends on
-set(LIBYANG_DEP_VERSION 2.0.0)
-set(LIBYANG_DEP_SOVERSION 3.0.0)
+set(LIBYANG_DEP_VERSION 3.12.0)
+set(LIBYANG_DEP_SOVERSION 3.9.0)
 set(LIBYANG_DEP_SOVERSION_MAJOR 3)
 
 # global C flags
