=== debian/changelog ===
libnetconf2 (3.7.1-1) sid; urgency=medium

  * Simplifying watch file.
  * Merging upstream version 3.7.1.
  * Bumping build-depends on libyang to 3.12.2.
  * Updating libnetconf2-4 symbols.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:11:34 +0200
