=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
- libyang-dev (>= 3.7.8),
+ libyang-dev (>= 3.12.2),
  pkgconf,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
