## libnetconf2 3.7.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
 set(LIBNETCONF2_MAJOR_VERSION 3)
 set(LIBNETCONF2_MINOR_VERSION 7)
-set(LIBNETCONF2_MICRO_VERSION 1)
+set(LIBNETCONF2_MICRO_VERSION 10)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
@@ -66,7 +66,7 @@
 # with backward compatible change and micro version is connected with any internal change of the library.
 set(LIBNETCONF2_MAJOR_SOVERSION 4)
 set(LIBNETCONF2_MINOR_SOVERSION 6)
-set(LIBNETCONF2_MICRO_SOVERSION 1)
+set(LIBNETCONF2_MICRO_SOVERSION 10)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})
 
@@ -313,16 +313,6 @@
 target_link_libraries(netconf2 ${LIBYANG_LIBRARIES})
 include_directories(${LIBYANG_INCLUDE_DIRS})
 
-# function compatibility - getpeereid on QNX
-if(${CMAKE_SYSTEM_NAME} MATCHES "QNX")
-    target_link_libraries(netconf2 -lsocket)
-    list(APPEND CMAKE_REQUIRED_LIBRARIES socket)
-    list(REMOVE_ITEM CMAKE_REQUIRED_LIBRARIES pthread)
-    list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_QNX_SOURCE)
-    check_symbol_exists(getpeereid "sys/types.h;unistd.h" HAVE_GETPEEREID)
-    list(REMOVE_ITEM CMAKE_REQUIRED_DEFINITIONS -D_QNX_SOURCE)
-endif()
-
 # set sources
 target_sources(netconf2 PRIVATE ${libsrc} ${compatsrc})
 
@@ -338,3 +328,10 @@
 # install YANG modules
 install(DIRECTORY "${PROJECT_SOURCE_DIR}/modules/" DESTINATION ${YANG_MODULE_DIR} FILES_MATCHING PATTERN "*.yang")
 
+# install library
+install(TARGETS netconf2 DESTINATION ${CMAKE_INSTALL_LIBDIR})
+
+# install headers
+install(FILES ${PROJECT_BINARY_DIR}/include/nc_client.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(FILES ${PROJECT_BINARY_DIR}/include/nc_server.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(FILES ${PROJECT_BINARY_DIR}/include/nc_version.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
