=== debian/changelog ===
libnetconf2 (3.7.10-1) sid; urgency=medium

  * Merging upstream version 3.7.10.

 -- Daniel Baumann <daniel@debian.org>  Mon, 11 Aug 2025 06:31:57 +0200

libnetconf2 (3.7.1-3) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:06:54 +0200

libnetconf2 (3.7.1-2) experimental; urgency=medium

  * Adding upstream metadata.
  * Adding explicit libcrypt-dev to build-depends, thanks to Helmut Grohne
    <helmut@subdivi.de> (Closes: #1106992).

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 May 2025 21:25:12 +0200
