=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  doxygen <!nodoc>,
  graphviz <!nodoc>,
  libcmocka-dev <!nocheck>,
+ libcrypt-dev,
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
