=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# needed for CMake that ignores CPPFLAGS
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# be strict when comparing symbols in libnetconf2-1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh ${@} --buildsystem=cmake

execute_after_dh_clean:
	rm -rf doc/html

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_SSH=ON -DENABLE_TLS=ON -DENABLE_DNSSEC=OFF -DENABLE_PYTHON=OFF

override_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_install-indep:
	# disabled
