=== debian/watch ===
version=4
https://github.com/CESNET/libnetconf2/tags .*/v?(\d.*)@ARCHIVE_EXT@
