## libnetconf2 4.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,24 +56,24 @@
 # Generic version of not only the library. Major version is reserved for really big changes of the project,
 # minor version changes with added functionality (new tool, functionality of the tool or library, ...) and
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
-set(LIBNETCONF2_MAJOR_VERSION 3)
-set(LIBNETCONF2_MINOR_VERSION 7)
-set(LIBNETCONF2_MICRO_VERSION 10)
+set(LIBNETCONF2_MAJOR_VERSION 4)
+set(LIBNETCONF2_MINOR_VERSION 1)
+set(LIBNETCONF2_MICRO_VERSION 2)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
 # Major version is changed with every backward non-compatible API/ABI change in the library, minor version changes
 # with backward compatible change and micro version is connected with any internal change of the library.
-set(LIBNETCONF2_MAJOR_SOVERSION 4)
-set(LIBNETCONF2_MINOR_SOVERSION 6)
-set(LIBNETCONF2_MICRO_SOVERSION 10)
+set(LIBNETCONF2_MAJOR_SOVERSION 5)
+set(LIBNETCONF2_MINOR_SOVERSION 1)
+set(LIBNETCONF2_MICRO_SOVERSION 2)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})
 
 # Version of libyang library that this project depends on
-set(LIBYANG_DEP_VERSION 3.12.0)
-set(LIBYANG_DEP_SOVERSION 3.9.0)
-set(LIBYANG_DEP_SOVERSION_MAJOR 3)
+set(LIBYANG_DEP_VERSION 4.2.0)
+set(LIBYANG_DEP_SOVERSION 4.2.0)
+set(LIBYANG_DEP_SOVERSION_MAJOR 4)
 
 # global C flags
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -fvisibility=hidden -std=c99")
@@ -92,6 +92,7 @@
 option(ENABLE_COVERAGE "Build code coverage report from tests" OFF)
 option(ENABLE_SSH_TLS "Enable NETCONF over SSH and TLS support (via libssh and OpenSSL)" ON)
 option(ENABLE_DNSSEC "Enable support for SSHFP retrieval using DNSSEC for SSH (requires OpenSSL and libval)" OFF)
+option(ENABLE_PAM "Detect and use PAM" ON)
 option(ENABLE_COMMON_TARGETS "Define common custom target names such as 'doc' or 'uninstall', may cause conflicts when using add_subdirectory() to build this project" ON)
 option(BUILD_SHARED_LIBS "By default, shared libs are enabled. Turn off for a static build." ON)
 set(READ_INACTIVE_TIMEOUT 20 CACHE STRING "Maximum number of seconds waiting for new data once some data have arrived")
@@ -113,7 +114,8 @@
     src/session_client.c
     src/session_server.c
     src/server_config.c
-    src/server_config_util.c)
+    src/server_config_util.c
+    src/proxy_unix.c)
 
 if(ENABLE_SSH_TLS)
     list(APPEND libsrc
@@ -122,9 +124,7 @@
         src/server_config_util_ssh.c
         src/session_client_tls.c
         src/session_server_tls.c
-        src/server_config_util_tls.c
-        src/server_config_ks.c
-        src/server_config_ts.c)
+        src/server_config_util_tls.c)
     set(SSH_TLS_MACRO "#ifndef NC_ENABLED_SSH_TLS\n#define NC_ENABLED_SSH_TLS\n#endif")
 endif()
 
@@ -138,7 +138,8 @@
     src/session_client_ch.h
     src/session_server.h
     src/session_server_ch.h
-    src/server_config.h)
+    src/server_config.h
+    src/proxy_unix.h)
 
 # files to generate doxygen from
 set(doxy_files
@@ -152,7 +153,8 @@
     src/session_client_ch.h
     src/session_server.h
     src/session_server_ch.h
-    src/server_config.h)
+    src/server_config.h
+    src/proxy_unix.h)
 
 # source files to be covered by the 'format' target
 set(format_sources
@@ -281,7 +283,9 @@
     endif()
 
     # libpam
-    find_package(LibPAM)
+    if(ENABLE_PAM)
+        find_package(LibPAM)
+    endif()
     if(LibPAM_FOUND)
         set(HAVE_LIBPAM TRUE)
 
@@ -334,4 +338,3 @@
 # install headers
 install(FILES ${PROJECT_BINARY_DIR}/include/nc_client.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 install(FILES ${PROJECT_BINARY_DIR}/include/nc_server.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
-install(FILES ${PROJECT_BINARY_DIR}/include/nc_version.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
