=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -69,11 +69,11 @@
 
 # tests depending on SSH/TLS
 if(ENABLE_SSH_TLS)
-    libnetconf2_test(NAME test_auth_ssh)
     libnetconf2_test(NAME test_authkeys)
     libnetconf2_test(NAME test_cert_exp_notif)
     libnetconf2_test(NAME test_ch PORT_COUNT 2)
     libnetconf2_test(NAME test_client_monitoring)
+    libnetconf2_test(NAME test_config PORT_COUNT 6)
     libnetconf2_test(NAME test_endpt_share_clients PORT_COUNT 4)
     libnetconf2_test(NAME test_ks_ts)
     if (LIBPAM_HAVE_CONFDIR)
@@ -81,6 +81,7 @@
     endif()
     libnetconf2_test(NAME test_replace)
     libnetconf2_test(NAME test_runtime_changes PORT_COUNT 2)
+    libnetconf2_test(NAME test_ssh)
     libnetconf2_test(NAME test_tls)
     libnetconf2_test(NAME test_two_channels)
 endif()
