=== debian/changelog ===
libnetconf2 (4.1.2-1) experimental; urgency=medium

  * Merging upstream version 4.1.2.
  * Bumping libyang build-depends.
  * Updating packaging for soname bump to 5.
  * While bumping the soname, we'll use the opportunity to simply by
    folding libnetconf2-doc into libnetconf2-dev.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 07:51:54 +0100

libnetconf2 (3.7.10-2) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 18:57:09 +0100
