=== debian/control ===
--- 
+++ 
@@ -12,27 +12,14 @@
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
- libyang-dev (>= 3.12.2),
+ libyang-dev (>= 4.2.2),
  pkgconf,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/CESNET/libnetconf2
 Vcs-Browser: https://forgejo.debian.net/frr/libnetconf2
 Vcs-Git: https://forgejo.debian.net/frr/libnetconf2
 
-Package: libnetconf2-doc
-Section: doc
-Architecture: all
-Depends:
- ${misc:Depends},
-Multi-Arch: foreign
-Description: library for IETF NETCONF protocol (documentation)
- NETCONF library in C intended for building NETCONF clients and servers. NETCONF
- is the NETwork CONFiguration protocol introduced by IETF.
- .
- This package contains the documentation.
-
-Package: libnetconf2-4
+Package: libnetconf2-5
 Section: libs
 Architecture: any
 Pre-Depends:
@@ -65,10 +52,14 @@
 Section: libdevel
 Architecture: any
 Depends:
- libnetconf2-4 (= ${binary:Version}),
+ libnetconf2-5 (= ${binary:Version}),
  libyang-dev,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ libnetconf2-doc,
+Replaces:
+ libnetconf2-doc,
 Multi-Arch: same
 Description: library for IETF NETCONF protocol (development)
  NETCONF library in C intended for building NETCONF clients and servers. NETCONF
