=== debian/changelog ===
libnetconf2 (4.2.4-1) experimental; urgency=medium

  * Updating to standards version 4.7.3.
  * Wrap and sorting debian files.
  * Merging upstream version 4.2.4.
  * Updating years in copyright for 2026.
  * Bumping libyang build-depends.
  * Refreshing libnetconf2-5 symbols.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2026 19:24:11 +0100
