=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
- libyang-dev (>= 4.2.2),
+ libyang-dev (>= 4.7.3),
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/CESNET/libnetconf2
 Vcs-Browser: https://forgejo.debian.net/frr/libnetconf2
 Vcs-Git: https://forgejo.debian.net/frr/libnetconf2
