=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DENABLE_SSH=ON -DENABLE_TLS=ON -DENABLE_DNSSEC=OFF -DENABLE_PYTHON=OFF
 
-override_dh_auto_build-indep:
+execute_after_dh_auto_build:
 	dh_auto_build -- doc
-
-override_dh_auto_install-indep:
-	# disabled
