=== debian/changelog ===
libnetconf2 (4.2.6-1) experimental; urgency=medium

  * Merging upstream version 4.2.6.
  * Updating debian copyright.
  * Bumpding build-depends for libyang 5.

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Feb 2026 12:17:10 +0100
