=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
- libyang-dev (>= 4.7.3),
+ libyang-dev (>= 5.0.2),
  pkgconf,
 Standards-Version: 4.7.3
 Homepage: https://github.com/CESNET/libnetconf2
