=== debian/changelog ===
libnetconf2 (4.2.9-1) experimental; urgency=medium

  * Merging upstream version 4.2.9.

 -- Daniel Baumann <daniel@debian.org>  Sat, 28 Feb 2026 06:09:30 +0100
